################################################################################

apiVersion: policy/v1
kind: PodDisruptionBudget
metadata:
  name: "{{ .Release.Name }}-web"
  labels:
{{- include "php-nginx.web.labels" . | indent 4 }}
spec:
  selector:
    matchLabels:
{{- include "php-nginx.web.selector" . | indent 6 }}
{{- if .Values.web.pdb.maxUnavailable }}
  maxUnavailable: {{ .Values.web.pdb.maxUnavailable }}
{{- else }}
{{- if .Values.web.autoscaling.enabled }}
  maxUnavailable: {{ ternary 1 0 (gt .Values.web.autoscaling.min 1.0) }}
{{- else }}
  maxUnavailable: {{ ternary 1 0 (gt .Values.web.replicas 1.0) }}
{{- end }}
{{- end }}

################################################################################
